Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 208956 - Please stabilize =sys-libs/libkudzu-1.2.57.1 (WAS: sys-apps/hwsetup-1.2 fails to build against sys-libs/libkudzu-1.1.62-r1)
Summary: Please stabilize =sys-libs/libkudzu-1.2.57.1 (WAS: sys-apps/hwsetup-1.2 fails...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo LiveCD Package Maintainers
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks:
 
Reported: 2008-02-05 01:16 UTC by Tobias Heinlein (RETIRED)
Modified: 2009-01-21 21:46 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Heinlein (RETIRED) gentoo-dev 2008-02-05 01:16:47 UTC
Trying to emerge sys-apps/hwsetup-1.2 in an i686 chroot on an amd64 system I get:

>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/sys-apps/hwsetup-1.2/work/hwsetup-1.2 ...
i686-pc-linux-gnu-gcc -I/usr/include/kudzu -DBLACKLIST -Wall -fPIC -O2 -march=i686 -pipe -lz -o hwsetup hwsetup.c -lkudzu -lpci
/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../libkudzu.a(ddc.o): In function `ddcProbe':
: undefined reference to `get_edid_supported'
/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../libkudzu.a(ddc.o): In function `ddcProbe':
: undefined reference to `get_edid_info'
/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../libkudzu.a(ddc.o): In function `ddcProbe':
: undefined reference to `vbe_get_vbe_info'
collect2: ld returned 1 exit status
make: *** [hwsetup] Error 1
*
* ERROR: sys-apps/hwsetup-1.2 failed.
* Call stack:
*            ebuild.sh, line 1701:  Called dyn_compile
*            ebuild.sh, line 1039:  Called qa_call 'src_compile'
*            ebuild.sh, line  44:  Called src_compile
*  hwsetup-1.2.ebuild, line  40:  Called die
* The specific snippet of code:
*      emake LDFLAGS="${LDFLAGS}" OPT="${CFLAGS}" CC="$(tc-getCC)"    || die "emake failed"
*  The die message:
*  emake failed


However, it compiles fine against the unstable version (1.2.57.1) of sys-libs/libkudzu.
Comment 1 Chris Gianelloni (RETIRED) gentoo-dev 2008-02-07 23:04:55 UTC
That's very strange considering I've built this about 50 times in the last couple weeks with no problems, at all.

What if you remerge libkudzu?
Comment 2 fdupoux 2008-02-09 10:22:11 UTC
I had that problem too in an i486 chroot on an amd64 system. It worked when I upgrade to sys-libs/libkudzu-1.2.57.1.
Comment 3 Chris Gianelloni (RETIRED) gentoo-dev 2008-03-13 19:21:25 UTC
Can you guys sync and try it again?  I've modified the ebuild slightly for both libkudzu and hwsetup, and I think it might fix the problem, at least, it did for me.
Comment 4 Murry 2008-04-13 18:33:33 UTC
I have:
sys-libs/libkudzu-1.2.57.1
and do same things...
identic error.


and then I:
emerge -p libkudzu --update

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] sys-libs/libkudzu-1.2.57.1 [1.1.62-r1] 

emerge this, then it's OK.
Comment 5 Chris Gianelloni (RETIRED) gentoo-dev 2008-04-14 23:10:44 UTC
Please post your emerge --info
Comment 6 Murry 2008-04-15 16:22:23 UTC
Portage 2.1.4.4 (default-linux/x86/2007.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.23-gentoo-r9 i686)
=================================================================
System uname: 2.6.23-gentoo-r9 i686 AMD Athlon(tm) 64 Processor 3000+
Timestamp of tree: Sun, 13 Apr 2008 18:00:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p17-r1
dev-java/java-config: 1.3.7, 2.1.4
dev-lang/python:     2.4.4-r9
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -mtune=k8 -msse -msse2 -mfpmath=sse -march=i686         -msse3 -pipe -fomit-frame-pointer -fPIC"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -mtune=k8 -msse -msse2 -mfpmath=sse -march=i686         -msse3 -pipe -fomit-frame-pointer -fPIC"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks metadata-transfer prelink sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp://gentoo.po.opole.pl http://gentoo.ynet.sk/pub "
LANG="cs_CZ.UTF-8"
LC_ALL="cs_CZ.UTF-8"
LINGUAS="cs en"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext 3gp X a52 acl alsa avahi berkdb cdr cli cracklib crypt cups dbus dri dvd dvdr dvdread ffmpeg firefox flac fortran gdbm gif gnome gpm gstreamer gtk hal iconv ipv6 isdnlog jabber jpeg jpeg2k mad midi mmx mmxext mp3 mp4 mpeg mpeg4 mudflap ncurses nls nptl nptlonly nvidia ogg opengl openmp pam pcre perl pic png pppd python readline reflection session spl sse sse2 ssl symlink tcpd truetype type1 unicode usb win32codecs x86 xine xinerama xorg xv xvid xvmc zlib" ALSA_CARDS="snd-hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="*" ELIBC="glibc" INPUT_DEVICES="mouse keyboard" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="cs en" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 7 Chris Gianelloni (RETIRED) gentoo-dev 2008-04-16 00:30:36 UTC
OK, any chance you can try rebuilding libkudzu without turning off your FPU?  Please remove the "-mfpmath=sse" from your CFLAGS and see if that resolves the issue.  That flag has been known to cause compilation issues and isn't recommended to be enabled globally.
Comment 8 Murry 2008-04-16 14:22:10 UTC
Ok, now it's OK:-) thanks
Comment 9 Chris Gianelloni (RETIRED) gentoo-dev 2008-04-16 22:17:40 UTC
That did fix it?  If so, I'll update the ebuild to filter that flag out.
Comment 10 Murry 2008-04-17 14:26:58 UTC
No I don't fix it. I haven't competent knowledge to do this. Sorry.
Comment 11 Chris Gianelloni (RETIRED) gentoo-dev 2008-04-18 19:45:35 UTC
Huh?

I asked you if removing those flags fixed it for you.  You made it sound like it did.  Let me put this simply:

Did removing -mfpmath=sse from your CFLAGS and recompiling libkudzu resolve this issue for you?  Yes or no, please.
Comment 12 Murry 2008-04-19 15:38:34 UTC
Yes.
Comment 13 Chris Gianelloni (RETIRED) gentoo-dev 2008-06-28 09:26:26 UTC
OK, sorry about the delay.  Can you test the ebuild in my overlay and let me know if it resolves the issue for you?

Thanks
Comment 14 Casufi 2008-09-19 09:04:53 UTC
Hello.
Can anyone tell me how to fix this problem?

emerge -pv sys-libs/libkudzu app-misc/livecd-tools

[ebuild   R   ] sys-libs/libkudzu-1.1.62-r1  USE="zlib" 0 kB
[ebuild  N    ] sys-apps/hwsetup-1.2-r1  USE="zlib" 0 kB
[ebuild  N    ] x11-misc/mkxf86config-0.9.10  7 kB
[ebuild  N    ] app-misc/livecd-tools-1.0.40  USE="X opengl" 0 kB

CFLAGS="-O2 -mtune=i686 -pipe"
CXXFLAGS="-O2 -mtune=i686 -pipe"
CHOST="i486-pc-linux-gnu"

I've got the same error message.

Comment 15 Sebastian Heyn 2008-10-06 12:39:47 UTC
Same here. also i686
CFLAGS="-O2 -march=i686 -pipe"
CXXFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"

I tried the above mentioned flag but didnt help
Comment 16 Wonko 2008-12-12 22:37:26 UTC
Upgrade sys-libs/libkudzu to version 1.2.57.1 (put ~sys-libs/libkudzu-1.2.57.1 in /etc/portage/package.keywords) like Murry did, hwsetup-1.2 and 1.2-r1 compile fine then. MY CFLAGS are also just -march=pentium3 -O2 -pipe, so it's probably not the -mfpmath=sse which is the problem. Here's my emerge --info in case this might help:

Portage 2.2_rc17 (default/linux/x86/2008.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.24-tuxonice-r4-knork i686)
=================================================================
System uname: Linux-2.6.24-tuxonice-r4-knork-i686-AMD_Sempron-tm-_2400+-with-glibc2.0
Timestamp of tree: Fri, 12 Dec 2008 05:46:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [enabled]
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.5.2-r7
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.2
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium3 -O2 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/conf.avail /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/privoxy/templates /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d /usr/share/X11/xkb /usr/share/texmf"
CXXFLAGS="-march=pentium3 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs buildsyspkg candy ccache collision-protect distcc distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="de_DE@euro"
LC_ALL="de_DE@euro"
LDFLAGS="-Wl,-O1"
LINGUAS="de en"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/hosts/knork/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage/tree"
PORTDIR_OVERLAY="/usr/portage/local"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow X aac aalib acl acpi alsa avi bash-completion berkdb bluetooth branding bzip2 bzlib cairo cddb cdr cli cracklib crypt cups curl dbus dga dri dvb dvd dvdread eds emboss encode evo fam fbcon ffmpeg firefox fortran ftp gdbm gif gimp gphoto2 gpm gs gstreamer gtk hal iconv imagemagick imlib ipv6 isdnlog jabber java jbig jpeg jpeg2k kde kdeprefix ldap libnotify lzw mad matroska mhash midi mikmod mmx mp3 mpeg mplayer mudflap musicbrainz ncurses nls nptl nptlonly nsplugin ogg opengl openmp oss pam pcre pdf perl php png ppds pppd python qt3 qt3support qt4 quicktime readline recode reflection rtc ruby samba scanner sdl session slp spell spl sse ssl startup-notification svg svga sysfs tcpd tetex tiff truetype unicode usb vidix vorbis wavpack win32codecs wmf x86 xattr xine xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de en" USERLAND="GNU" VIDEO_CARDS="mga vga vesa fbdev nv"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 17 Raúl Porcel (RETIRED) gentoo-dev 2009-01-07 20:44:40 UTC
Per agaffney's request, please do.
Comment 18 Tobias Klausmann gentoo-dev 2009-01-09 21:17:25 UTC
Stable on alpha.
Comment 19 Markus Meier gentoo-dev 2009-01-11 19:08:32 UTC
amd64 stable
Comment 20 Raúl Porcel (RETIRED) gentoo-dev 2009-01-21 21:46:24 UTC
ia64 stable, closing